/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.site-content ul{
  margin-left: 1rem;
}

ul.wp-block-list ::marker{
  color: var(--global-color-10);
}

/** MOBILE MENU TOGGLE SUBMENU 100% WIDTH **/

span.gb-submenu-toggle:before {
    content: '';
    position: absolute;
    inset: 0;
}


/** CLASSIC NAVIGATION WIDGET **/

.wp-classic-menu-block ul{
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.wp-classic-menu-block ul a{
  text-decoration: none;
}

.wp-classic-menu-block ul a:hover, .wp-classic-menu-block ul a:focus{
  text-decoration: underline;
}

span.gfield_required{
  color: var(--global-color-8) !important;
}

input.gform_button{
  background-image: linear-gradient(180deg, var(--global-color-11), var(--global-color-11)) !important;
  padding: .75rem 1.5rem !important;
  font-size: 1rem !important;
  border-radius: 10px !important;
  color: #fff !important;
  border: none !important;
  line-height: 1.5 !important;
  font-weight: 700 !important;
  transition: all .25s ease-in-out !important;
}

input.gform_button:hover{
  background-image: linear-gradient(180deg, var(--global-color-12), var(--global-color-11)) !important;
}